/*
 * Copyright (c) 2021, orioc and/or its affiliates. All rights reserved.
 * Use, Copy is subject to authorized license.
 */
 package com.bonus.sharedstation.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.sharedstation.app.domain.CarService;
import com.bonus.sharedstation.app.dto.CarServiceDTO;

/**
 * 汽车服务 Service
 *
 * @author zhh
 * @date 2024-11-15
 */
public interface ICarServiceService extends IService<CarService> {





    /**
     * 汽车服务
     * @return 操作影响行数
     */
    AjaxResult insert(CarService carService);


    /**
     * 更新
     *
     */
    AjaxResult updateInfoById(CarService carService);

//
    /**
     * 删除汽车服务
     *
     * @param

     * @return 操作影响行数
     */
    AjaxResult delete(CarService carService);
//
    /**
     * 分页查询列表
     * @param
     * @return
     */
    AjaxResult getListPage(CarServiceDTO dto);

    /**
     * app
     * @param dto
     * @return
     */
    AjaxResult getListPageApp(CarServiceDTO dto);






    AjaxResult selectAll(CarService carService);


    /**
     * 详情
     * @param
     * @return
     */
    AjaxResult selectInfoById(CarService carService);
}
